Subject: bug#57266: Maintaining the base_line_number cache

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Aug 2022 15:57:06 -0400

> Sorry, I had (and still have from time to time) enough fallout from
> similar experiments of yours around Emacs 25, which also aimed at
> improving the code (by removing various reasons to perform more
> thorough redisplay).  I'd rather not repeat that.

I guess you're talking about the `<foo>->redisplay` bits.
FWIW, the main motivation for those was not maintenance but:
- speed (in my daily use I often have a hundred frames and reducing the
  cases where the redisplay has to refresh them all made a significant
  difference to the overall responsiveness of Emacs).
- the addition of `pre-redisplay-functions` so that highlighting of a
  rectangular region could be implemented in ELisp (and at the same
  occasion, remove the ad-hoc handling of the `region` highlighting
  from the C code).

        Stefan